package com.zd.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 风险预案与硬件关联对象 lab_risk_plan_hardware_relation
 *
 * @author zd
 * @date 2021-09-03
 */
@ApiModel("风险预案与硬件关联表")
public class LabRiskPlanHardwareRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 风险预案id
     */
    @ApiModelProperty(value = "风险预案id")
    @Excel(name = "风险预案id")
    private Long riskPlanId;

    /**
     * 硬件id
     */
    @ApiModelProperty(value = "硬件id")
    @Excel(name = "硬件id")
    private Long hardwareId;

    /**
     * 执行操作项
     */
    @ApiModelProperty(value = "执行操作项")
    @Excel(name = "执行操作项")
    private String operate;

    /**
     * 硬件类型
     */
    @ApiModelProperty(value = "硬件类型")
    @Excel(name = "硬件类型")
    private Integer hardwareType;

    /**
     * 预案结束动作
     */
    @ApiModelProperty(value = "预案结束动作")
    @Excel(name = "执行操作项")
    private String overAct;

    /**
     * 硬件类型名称
     */
    @ApiModelProperty(value = "硬件类型名称")
    @Excel(name = "硬件类型名称")
    private String hardwareTypeName;

    /**
     * 执行操作项名称
     */
    @ApiModelProperty(value = "执行操作项名称")
    @Excel(name = "执行操作项名称")
    private String operateName;

    /**
     * 预案结束动作名称
     */
    @ApiModelProperty(value = "预案结束动作名称")
    @Excel(name = "预案结束动作名称")
    private String overActName;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setRiskPlanId(Long riskPlanId) {
        this.riskPlanId = riskPlanId;
    }

    public Long getRiskPlanId() {
        return riskPlanId;
    }

    public void setHardwareId(Long hardwareId) {
        this.hardwareId = hardwareId;
    }

    public Long getHardwareId() {
        return hardwareId;
    }

    public void setOperate(String operate) {
        this.operate = operate;
    }

    public String getOperate() {
        return operate;
    }

    public Integer getHardwareType() {
        return hardwareType;
    }

    public void setHardwareType(Integer hardwareType) {
        this.hardwareType = hardwareType;
    }

    public String getOverAct() {
        return overAct;
    }

    public void setOverAct(String overAct) {
        this.overAct = overAct;
    }

    public String getHardwareTypeName() {
        return hardwareTypeName;
    }

    public void setHardwareTypeName(String hardwareTypeName) {
        this.hardwareTypeName = hardwareTypeName;
    }

    public String getOperateName() {
        return operateName;
    }

    public void setOperateName(String operateName) {
        this.operateName = operateName;
    }

    public String getOverActName() {
        return overActName;
    }

    public void setOverActName(String overActName) {
        this.overActName = overActName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("riskPlanId", getRiskPlanId())
                .append("hardwareId", getHardwareId())
                .append("operate", getOperate())
                .append("createTime", getCreateTime())
                .append("getHardwareType", getHardwareType())
                .toString();
    }
}
